SoFieldConverter(3)

NAME
SoFieldConverter - The SoFieldConverter class is the abstract base class for field converters.

SYNOPSIS

#include <Inventor/engines/SoFieldConverter.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const
virtual SoField * getInput (SoType type)=0
virtual SoEngineOutput * getOutput (SoType type)=0
virtual SoField * getConnectedInput (void)
int getForwardConnections (SoFieldList &l) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void initClasses (void)

  Protected Member Functions
SoFieldConverter (void)
virtual ~SoFieldConverter (void)

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoFieldConverter class is the abstract base class for field converters. When fields of different types are attempted connected, the Coin library tries to find a field converter class which can be inserted between them, acting as a filter converting values from the master field to values matching the type of the slave field.

If a value type conversion is possible (like between an SoSFFloat field and an SoSFInt32 field, for instance, where we could do a simple typecast for converting the value of one to the other), an SoFieldConverter derived object is inserted.

This class is the abstract base superclass which all such field converters needs to inherit.

Coin comes with one built-in field converter class which takes care of all possible field-to-field conversions we know about. This means applications programmers should seldom need to care about this class, it will probably only be useful if you expand the Coin library with your own field type classes. (Doing so is considered advanced use of the library.)

See also
    SoDB::addConverter()

Constructor & Destructor Documentation

  SoFieldConverter::SoFieldConverter (void) [protected]
Default constructor.

  SoFieldConverter::~SoFieldConverter (void) [protected], [virtual]
Default destructor.

Member Function Documentation

  SoType SoFieldConverter::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoFieldConverter::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoFieldConverter::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoFieldConverter::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoFieldConverter::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoFieldConverter::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void SoFieldConverter::initClasses (void) [static]
Initializes all field conversions. Automatically called from SoFieldConverter::initClass() upon initialization of Coin.

  SoField * SoFieldConverter::getInput (SoType type) [pure virtual]
Returns input field for the converter engine. Must be overridden in non-abstract converter engine classes.

  SoEngineOutput * SoFieldConverter::getOutput (SoType type) [pure virtual]
Returns output for the converter engine. Must be overridden in non-abstract converter engine classes.

  SoField * SoFieldConverter::getConnectedInput (void) [virtual]
This method is obsoleted in Coin. It should probably have been private in OIV.

  int SoFieldConverter::getForwardConnections (SoFieldList & l) const
Returns fields which are connected as slaves of the engine output.

Author

Generated automatically by Doxygen for Coin from the source code.